MOUNTPOINT(1)

NUME
mountpoint - verifică dacă un director sau un fișier este un punct de montare

REZUMAT

mountpoint [-d|-q] director|fișier

mountpoint -x dispozitiv

DESCRIERE

mountpoint verifică dacă directorul sau fișierul specificat este un punct de montare. Pe nucleele care acceptă apelul de sistem statmount(2) (Linux 6.8 și versiuni ulterioare), utilizează această interfață. Pe nucleele mai vechi, recurge la citirea fișierului /proc/self/mountinfo.

OPȚIUNI

-d, --fs-devno
    Afișează numerele major/minor ale dispozitivului care este montat pe directorul dat.

-q, --quiet
    Modul silențios - nu afișează nimic.

--nofollow
    Nu urmărește legătura simbolică dacă aceasta este ultimul element al rutei directorului.

-x, --devno
    Afișează numerele major/minor ale dispozitivului care este montat pe directorul dat.

--show
    Afișează ruta punctului de montare pentru ruta specificată. Aceasta transformă directorul sau fișierul specificat în punctul său de montare real, ceea ce este util în cazul montărilor de tip bind, al legăturilor simbolice sau al rutelor din cadrul sistemelor de fișiere. Această opțiune necesită suportul nucleului pentru apelul de sistem statmount(2) (Linux 6.8 și versiuni ulterioare). Pe nucleele mai vechi, această opțiune va eșua, afișând un mesaj de eroare.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

mountpoint are următoarele valori de stare de ieșire:

0
    success; the directory is a mountpoint, or device is block device on --devno

1
    eșec; invocare incorectă, erori de permisiuni sau erori de sistem

32
    eșec; directorul nu este un punct de montare sau dispozitivul nu este un dispozitiv bloc cu --devno

MEDIU

LIBMOUNT_DEBUG=all
    activează ieșirea de depanare a libmount.

NOTE

Implementarea util-linux mountpoint a fost scrisă de la zero pentru libmount. Versiunea originală pentru suita sysvinit a fost scrisă de Miquel van Smoorenburg.

AUTORI

CONSULTAȚI ȘI

mount(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda mountpoint face parte din pachetul util-linux care poate fi descărcat de la